3 Replies Latest reply on Jul 14, 2010 12:25 PM by karenpeacock

    Landesk Helpdesk windows 7 compatiility

    Rookie

      Currently running 7.2.6, which doesn't seem to work on windows 7.

      which version is compatible with windows 7?